import 'fake_device.dart';

final wlp0s20f3 = FakeUdevDevice(
  devpath: '/devices/pci0000:00/0000:00:14.3/net/wlp0s20f3',
  subsystem: 'net',
  devtype: 'wlan',
  syspath: '/sys/devices/pci0000:00/0000:00:14.3/net/wlp0s20f3',
  sysname: 'wlp0s20f3',
  sysnum: '3',
  devnode: null,
  isInitialized: true,
  driver: null,
  devnum: 0,
  action: null,
  seqnum: 0,
  timeSinceInitialized:
      const Duration(hours: 8, minutes: 39, seconds: 26, microseconds: 405953),
  devlinks: [],
  properties: {
    'CURRENT_TAGS': ':systemd:',
    'DEVPATH': '/devices/pci0000:00/0000:00:14.3/net/wlp0s20f3',
    'DEVTYPE': 'wlan',
    'ID_BUS': 'pci',
    'ID_MM_CANDIDATE': '1',
    'ID_MODEL_ID': '0x51f0',
    'ID_NET_DRIVER': 'iwlwifi',
    'ID_NET_LINK_FILE': '/usr/lib/systemd/network/99-default.link',
    'ID_NET_NAME': 'wlp0s20f3',
    'ID_NET_NAME_MAC': 'wlx8cf8c5f1eb13',
    'ID_NET_NAME_PATH': 'wlp0s20f3',
    'ID_NET_NAMING_SCHEME': 'v249',
    'ID_PATH': 'pci-0000:00:14.3',
    'ID_PATH_TAG': 'pci-0000_00_14_3',
    'ID_PCI_CLASS_FROM_DATABASE': 'Network controller',
    'ID_PCI_SUBCLASS_FROM_DATABASE': 'Network controller',
    'ID_VENDOR_FROM_DATABASE': 'Intel Corporation',
    'ID_VENDOR_ID': '0x8086',
    'IFINDEX': '2',
    'INTERFACE': 'wlp0s20f3',
    'SUBSYSTEM': 'net',
    'SYSTEMD_ALIAS': '/sys/subsystem/net/devices/wlp0s20f3',
    'TAGS': ':systemd:',
    'USEC_INITIALIZED': '15611715',
  },
  tags: ['systemd'],
  sysattrs: {
    'addr_assign_type': null,
    'addr_len': null,
    'address': null,
    'broadcast': null,
    'carrier': null,
    'carrier_changes': null,
    'carrier_down_count': null,
    'carrier_up_count': null,
    'dev_id': null,
    'dev_port': null,
    'device': null,
    'dormant': null,
    'duplex': null,
    'flags': null,
    'gro_flush_timeout': null,
    'ifalias': null,
    'ifindex': null,
    'iflink': null,
    'link_mode': null,
    'mtu': null,
    'name_assign_type': null,
    'napi_defer_hard_irqs': null,
    'netdev_group': null,
    'operstate': null,
    'phy80211': null,
    'phys_port_id': null,
    'phys_port_name': null,
    'phys_switch_id': null,
    'power/async': null,
    'power/autosuspend_delay_ms': null,
    'power/control': null,
    'power/runtime_active_kids': null,
    'power/runtime_active_time': null,
    'power/runtime_enabled': null,
    'power/runtime_status': null,
    'power/runtime_suspended_time': null,
    'power/runtime_usage': null,
    'proto_down': null,
    'queues/rx-0/rps_cpus': null,
    'queues/rx-0/rps_flow_cnt': null,
    'queues/tx-0/byte_queue_limits/hold_time': null,
    'queues/tx-0/byte_queue_limits/inflight': null,
    'queues/tx-0/byte_queue_limits/limit': null,
    'queues/tx-0/byte_queue_limits/limit_max': null,
    'queues/tx-0/byte_queue_limits/limit_min': null,
    'queues/tx-0/traffic_class': null,
    'queues/tx-0/tx_maxrate': null,
    'queues/tx-0/tx_timeout': null,
    'queues/tx-0/xps_cpus': null,
    'queues/tx-0/xps_rxqs': null,
    'speed': null,
    'statistics/collisions': null,
    'statistics/multicast': null,
    'statistics/rx_bytes': null,
    'statistics/rx_compressed': null,
    'statistics/rx_crc_errors': null,
    'statistics/rx_dropped': null,
    'statistics/rx_errors': null,
    'statistics/rx_fifo_errors': null,
    'statistics/rx_frame_errors': null,
    'statistics/rx_length_errors': null,
    'statistics/rx_missed_errors': null,
    'statistics/rx_nohandler': null,
    'statistics/rx_over_errors': null,
    'statistics/rx_packets': null,
    'statistics/tx_aborted_errors': null,
    'statistics/tx_bytes': null,
    'statistics/tx_carrier_errors': null,
    'statistics/tx_compressed': null,
    'statistics/tx_dropped': null,
    'statistics/tx_errors': null,
    'statistics/tx_fifo_errors': null,
    'statistics/tx_heartbeat_errors': null,
    'statistics/tx_packets': null,
    'statistics/tx_window_errors': null,
    'subsystem': null,
    'testing': null,
    'threaded': null,
    'tx_queue_len': null,
    'type': null,
    'uevent': null,
  },
  parent: null,
);

final nvme0n1 = FakeUdevDevice(
  devpath:
      '/devices/pci0000:00/0000:00:0e.0/pci10000:e0/10000:e0:06.0/10000:e1:00.0/nvme/nvme0/nvme0n1',
  subsystem: 'block',
  devtype: 'disk',
  syspath:
      '/sys/devices/pci0000:00/0000:00:0e.0/pci10000:e0/10000:e0:06.0/10000:e1:00.0/nvme/nvme0/nvme0n1',
  sysname: 'nvme0n1',
  sysnum: '1',
  devnode: '/dev/nvme0n1',
  isInitialized: true,
  driver: null,
  devnum: 66304,
  action: null,
  seqnum: 0,
  timeSinceInitialized:
      const Duration(hours: 8, minutes: 43, seconds: 58, microseconds: 134597),
  devlinks: [
    '/dev/disk/by-id/nvme-CA6-8D2048-Q11_NVMe_SSSTC_2048GB_TW0YFGP39DH0024K01DJ',
    '/dev/disk/by-id/nvme-eui.38f601563151e322',
    '/dev/disk/by-path/pci-0000:00:0e.0-pci-10000:e1:00.0-nvme-1',
  ],
  properties: {
    'CURRENT_TAGS': ':systemd:',
    'DEVLINKS':
        '/dev/disk/by-id/nvme-eui.38f601563151e322 /dev/disk/by-id/nvme-CA6-8D2048-Q11_NVMe_SSSTC_2048GB_TW0YFGP39DH0024K01DJ /dev/disk/by-path/pci-0000:00:0e.0-pci-10000:e1:00.0-nvme-1',
    'DEVNAME': '/dev/nvme0n1',
    'DEVPATH':
        '/devices/pci0000:00/0000:00:0e.0/pci10000:e0/10000:e0:06.0/10000:e1:00.0/nvme/nvme0/nvme0n1',
    'DEVTYPE': 'disk',
    'DISKSEQ': '9',
    'ID_MODEL': 'CA6-8D2048-Q11 NVMe SSSTC 2048GB',
    'ID_PART_TABLE_TYPE': 'gpt',
    'ID_PART_TABLE_UUID': '47e59aac-f6c8-48e1-aadd-26b5e89f5460',
    'ID_PATH': 'pci-0000:00:0e.0-pci-10000:e1:00.0-nvme-1',
    'ID_PATH_TAG': 'pci-0000_00_0e_0-pci-10000_e1_00_0-nvme-1',
    'ID_REVISION': '24201113',
    'ID_SERIAL': 'CA6-8D2048-Q11_NVMe_SSSTC_2048GB_TW0YFGP39DH0024K01DJ',
    'ID_SERIAL_SHORT': 'TW0YFGP39DH0024K01DJ',
    'ID_WWN': 'eui.38f601563151e322',
    'MAJOR': '259',
    'MINOR': '0',
    'SUBSYSTEM': 'block',
    'TAGS': ':systemd:',
    'USEC_INITIALIZED': '1903708',
  },
  tags: ['systemd'],
  sysattrs: {
    'alignment_offset': null,
    'bdi': null,
    'capability': null,
    'dev': null,
    'device': null,
    'discard_alignment': null,
    'diskseq': null,
    'eui': null,
    'events': null,
    'events_async': null,
    'events_poll_msecs': null,
    'ext_range': null,
    'hidden': null,
    'inflight': null,
    'integrity/device_is_integrity_capable': null,
    'integrity/format': null,
    'integrity/protection_interval_bytes': null,
    'integrity/read_verify': null,
    'integrity/tag_size': null,
    'integrity/write_generate': null,
    'mq/0/cpu_list': null,
    'mq/0/nr_reserved_tags': null,
    'mq/0/nr_tags': null,
    'mq/1/cpu_list': null,
    'mq/1/nr_reserved_tags': null,
    'mq/1/nr_tags': null,
    'mq/10/cpu_list': null,
    'mq/10/nr_reserved_tags': null,
    'mq/10/nr_tags': null,
    'mq/11/cpu_list': null,
    'mq/11/nr_reserved_tags': null,
    'mq/11/nr_tags': null,
    'mq/12/cpu_list': null,
    'mq/12/nr_reserved_tags': null,
    'mq/12/nr_tags': null,
    'mq/13/cpu_list': null,
    'mq/13/nr_reserved_tags': null,
    'mq/13/nr_tags': null,
    'mq/14/cpu_list': null,
    'mq/14/nr_reserved_tags': null,
    'mq/14/nr_tags': null,
    'mq/15/cpu_list': null,
    'mq/15/nr_reserved_tags': null,
    'mq/15/nr_tags': null,
    'mq/16/cpu_list': null,
    'mq/16/nr_reserved_tags': null,
    'mq/16/nr_tags': null,
    'mq/17/cpu_list': null,
    'mq/17/nr_reserved_tags': null,
    'mq/17/nr_tags': null,
    'mq/2/cpu_list': null,
    'mq/2/nr_reserved_tags': null,
    'mq/2/nr_tags': null,
    'mq/3/cpu_list': null,
    'mq/3/nr_reserved_tags': null,
    'mq/3/nr_tags': null,
    'mq/4/cpu_list': null,
    'mq/4/nr_reserved_tags': null,
    'mq/4/nr_tags': null,
    'mq/5/cpu_list': null,
    'mq/5/nr_reserved_tags': null,
    'mq/5/nr_tags': null,
    'mq/6/cpu_list': null,
    'mq/6/nr_reserved_tags': null,
    'mq/6/nr_tags': null,
    'mq/7/cpu_list': null,
    'mq/7/nr_reserved_tags': null,
    'mq/7/nr_tags': null,
    'mq/8/cpu_list': null,
    'mq/8/nr_reserved_tags': null,
    'mq/8/nr_tags': null,
    'mq/9/cpu_list': null,
    'mq/9/nr_reserved_tags': null,
    'mq/9/nr_tags': null,
    'nsid': null,
    'power/async': null,
    'power/autosuspend_delay_ms': null,
    'power/control': null,
    'power/runtime_active_kids': null,
    'power/runtime_active_time': null,
    'power/runtime_enabled': null,
    'power/runtime_status': null,
    'power/runtime_suspended_time': null,
    'power/runtime_usage': null,
    'queue/add_random': null,
    'queue/chunk_sectors': null,
    'queue/dax': null,
    'queue/discard_granularity': null,
    'queue/discard_max_bytes': null,
    'queue/discard_max_hw_bytes': null,
    'queue/discard_zeroes_data': null,
    'queue/fua': null,
    'queue/hw_sector_size': null,
    'queue/io_poll': null,
    'queue/io_poll_delay': null,
    'queue/io_timeout': null,
    'queue/iostats': null,
    'queue/logical_block_size': null,
    'queue/max_discard_segments': null,
    'queue/max_hw_sectors_kb': null,
    'queue/max_integrity_segments': null,
    'queue/max_sectors_kb': null,
    'queue/max_segment_size': null,
    'queue/max_segments': null,
    'queue/minimum_io_size': null,
    'queue/nomerges': null,
    'queue/nr_requests': null,
    'queue/nr_zones': null,
    'queue/optimal_io_size': null,
    'queue/physical_block_size': null,
    'queue/read_ahead_kb': null,
    'queue/rotational': null,
    'queue/rq_affinity': null,
    'queue/scheduler': null,
    'queue/stable_writes': null,
    'queue/virt_boundary_mask': null,
    'queue/wbt_lat_usec': null,
    'queue/write_cache': null,
    'queue/write_same_max_bytes': null,
    'queue/write_zeroes_max_bytes': null,
    'queue/zone_append_max_bytes': null,
    'queue/zone_write_granularity': null,
    'queue/zoned': null,
    'range': null,
    'removable': null,
    'ro': null,
    'size': null,
    'stat': null,
    'subsystem': null,
    'trace/act_mask': null,
    'trace/enable': null,
    'trace/end_lba': null,
    'trace/pid': null,
    'trace/start_lba': null,
    'uevent': null,
    'wwid': null,
  },
  parent: null,
);

final card1 = FakeUdevDevice(
  devpath:
      '/devices/pci0000:00/0000:00:14.0/usb3/3-1/3-1.1/3-1.1:1.0/sound/card1',
  subsystem: 'sound',
  devtype: null,
  syspath:
      '/sys/devices/pci0000:00/0000:00:14.0/usb3/3-1/3-1.1/3-1.1:1.0/sound/card1',
  sysname: 'card1',
  sysnum: '1',
  devnode: null,
  isInitialized: true,
  driver: null,
  devnum: 0,
  action: null,
  seqnum: 0,
  timeSinceInitialized:
      const Duration(hours: 2, minutes: 24, seconds: 07, microseconds: 243118),
  devlinks: [],
  properties: {
    'CURRENT_TAGS': ':seat:',
    'DEVPATH':
        '/devices/pci0000:00/0000:00:14.0/usb3/3-1/3-1.1/3-1.1:1.0/sound/card1',
    'ID_BUS': 'usb',
    'ID_FOR_SEAT': 'sound-pci-0000_00_14_0-usb-0_1_1_1_0',
    'ID_ID': 'usb-Dell_DELL_Slim_Soundbar_SB521A_SB521A-00',
    'ID_MODEL': 'DELL_Slim_Soundbar_SB521A',
    'ID_MODEL_ENC': 'DELL\x20Slim\x20Soundbar\x20SB521A',
    'ID_MODEL_ID': 'a510',
    'ID_PATH': 'pci-0000:00:14.0-usb-0:1.1:1.0',
    'ID_PATH_TAG': 'pci-0000_00_14_0-usb-0_1_1_1_0',
    'ID_REVISION': '0011',
    'ID_SERIAL': 'Dell_DELL_Slim_Soundbar_SB521A_SB521A',
    'ID_SERIAL_SHORT': 'SB521A',
    'ID_TYPE': 'audio',
    'ID_USB_DRIVER': 'snd-usb-audio',
    'ID_USB_INTERFACES': ':010100:010200:',
    'ID_USB_INTERFACE_NUM': '00',
    'ID_VENDOR': 'Dell',
    'ID_VENDOR_ENC': 'Dell',
    'ID_VENDOR_FROM_DATABASE': 'Dell Computer Corp.',
    'ID_VENDOR_ID': '413c',
    'SOUND_INITIALIZED': '1',
    'SUBSYSTEM': 'sound',
    'TAGS': ':seat:',
    'USEC_INITIALIZED': '89473357328',
  },
  tags: ['seat'],
  sysattrs: {
    'device': null,
    'id': null,
    'number': null,
    'power/async': null,
    'power/autosuspend_delay_ms': null,
    'power/control': null,
    'power/runtime_active_kids': null,
    'power/runtime_active_time': null,
    'power/runtime_enabled': null,
    'power/runtime_status': null,
    'power/runtime_suspended_time': null,
    'power/runtime_usage': null,
    'subsystem': null,
    'uevent': null,
  },
  parent: null,
);
